package com.hotent.uc.manager.impl;

import com.hotent.uc.dao.UriEntityDao;
import com.hotent.uc.manager.GetApiTokenManager;
import com.hotent.uc.model.UriEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author: Cola
 * @Date: 2021/08/17/9:52
 * @Description: 内、外部接口管理
 **/
@Service
public class GetApiTokenManagerImpl implements GetApiTokenManager {

    @Autowired
    private UriEntityDao uriEntityDao;

    @Override
    public void addWhiteUriList(String uri) {
        UriEntity uriEntity = new UriEntity();
        uriEntity.setURI(uri);
        uriEntityDao.insert(uriEntity);
    }
}
